Bug 75625 - Other: formulas not working in calc
Summary: Other: formulas not working in calc
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: x86-64 (AMD64) Linux (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: possibleRegression
: 75626 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-02-28 21:02 UTC by Matt Price
Modified: 2015-12-15 10:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Behaviour with English (UK) User Interface vs. English (USA) User Interface (145.73 KB, image/png)
2014-06-09 14:53 UTC, Danna Gifford
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Price 2014-02-28 21:02:50 UTC
Problem description: 
No formulas compute in calc.  

Steps to reproduce:
1. Open new spreadsheet
2. type '25' in a1
3. type '=a1+1' in a2

Current behavior:
A2 will display '###'

Selection A1:A2 and pasting into Word will give:

2500
2501


Pasting to command-line or Emacs gives:

2500
This name already exists.509


Expected behavior:

A2 will display '2501'
              
Operating System: Linux (Other)
Version: 4.2.1.1 release
Last worked in: 4.1.5.3 release
Comment 1 m.a.riosv 2014-03-01 03:01:02 UTC
Hi Matt, thanks for reporting.

Usually a '###' is given by a too narrow column width to show data.
Have you tried making widen the column width?
Could you attach a sample file?
Comment 2 m.a.riosv 2014-03-01 03:02:36 UTC
*** Bug 75626 has been marked as a duplicate of this bug. ***
Comment 3 KFlash 2014-05-27 16:12:54 UTC
I see this behaviour on my machine, too. This renders calc useless, so it is defenitly not a medium bug.

But I don't know what the reason for this is. Last night I was working with calc without any problem. Right now I'm running a KUbuntu Update (13.10 -> 14.04) in the background. Not sure if this creates the problem.
Comment 4 Danna Gifford 2014-06-09 14:45:18 UTC
I get the same behaviour when my Tools>Options>Language Settings>Languages>User Interface is set to "English (UK)".  Setting to "English (USA)" allows calc to compute formulas again.  The "Locale" setting doesn't matter, and it doesn't matter what keyboard layout is set.

I wonder if the other reporters are also using non-USA user interfaces?

Possible work around:
1. Set Tools>Options>Language Settings>Languages>User Interface is set to "English (USA)"
2. Close calc.  Do not save the file.
3. Re-open calc. Do the formulas work now?
Comment 5 Danna Gifford 2014-06-09 14:53:27 UTC
Created attachment 100748 [details]
Behaviour with English (UK) User Interface vs. English (USA) User Interface

Behaviour with English (UK) User Interface vs. English (USA) User Interface
Comment 6 Danna Gifford 2014-06-09 14:57:06 UTC
Comment on attachment 100748 [details]
Behaviour with English (UK) User Interface vs. English (USA) User Interface

The three ### mentioned by the other commenters is because the cell width is not wide enough to display the text "This name already exists.508".  Calc seems to be replacing the open brackets with "IFNA" and the close brackets by "CHOOSE"
Comment 7 QA Administrators 2015-01-10 18:06:31 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 8 QA Administrators 2015-02-11 19:50:39 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 9 QA Administrators 2015-02-11 19:56:18 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11
Comment 10 Robinson Tryon (qubit) 2015-12-15 10:55:19 UTC
Migrating Whiteboard tags to Keywords: (possibleRegression)
[NinjaEdit]